import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'notificationType',
  standalone: true,
})
export class NotificationTypePipe implements PipeTransform {
  transform(notificationType: string): string {
    switch (notificationType) {
      case 'NOTIFICATION_EMAIL':
        return 'Benachrichtigung';
      case 'REMINDER_EMAIL':
        return 'Erinnerung';
      case 'ORDERCONFIRMATION_EMAIL':
        return 'Bestellbestätigung';
      case 'NOTIFICATION_SMS':
        return 'Benachrichtigung';
      default:
        return notificationType;
    }
  }
}
